/*-----------------------------------------------------
Ak chceme ulozit nejaku hodnotu z konfiguracneho suboru
priamo do premennej bool, int, double alebo string
(kvoli rychlejsiemu pristupu), treba sem pridat makro
CFGD() - double,
CFGI() - int,
CFGB() - bool,
CFGS() - string.
Potom bude premenna s danym nazvom verejne pristupna
premenna triedy CConfig a po zavolani metody
AssignValues() sa tymto premennym priradi hodnota.
-----------------------------------------------------*/

// agent config
// ------------
CFGD(field_length);
CFGD(field_width);
CFGD(penalty_area_length);
CFGD(penalty_area_width);


// soccerserver config
// -------------------
CFGD(goal_width);
CFGD(player_size);
CFGD(player_decay);
CFGD(player_rand);
CFGD(player_weight);
CFGD(player_speed_max);
CFGD(stamina_max);
CFGD(stamina_inc_max);
CFGD(recover_dec_thr);
CFGD(recover_dec);
CFGD(recover_min);
CFGD(effort_dec_thr);
CFGD(effort_dec);
CFGD(effort_inc_thr);
CFGD(effort_inc);
CFGD(effort_min);
CFGI(hear_max);
CFGI(hear_inc);
CFGI(hear_decay);
CFGD(inertia_moment);
CFGI(sense_body_step);
CFGD(catchable_area_l);
CFGD(catchable_area_w);
CFGD(catch_probability);
CFGI(catch_ban_cycle);
CFGI(goalie_max_moves);
CFGD(ball_size);
CFGD(ball_decay);
CFGD(ball_rand);
CFGD(ball_weight);
CFGD(ball_speed_max);
CFGD(wind_force);
CFGD(wind_dir);
CFGD(wind_rand);
CFGD(kickable_margin);
CFGD(ckick_margin);
CFGD(dash_power_rate);
CFGD(kick_power_rate);
CFGD(visible_angle);
CFGD(audio_cut_dist);
CFGD(quantize_step);
CFGD(quantize_step_l);
CFGD(maxpower);
CFGD(minpower);
CFGD(maxmoment);
CFGD(minmoment);
CFGD(maxneckmoment);
CFGD(minneckmoment);
CFGD(maxneckang);
CFGD(minneckang);
CFGI(port);
CFGI(coach_port);
CFGI(say_coach_cnt_max);
CFGI(say_coach_msg_size);
CFGI(send_vi_step);
CFGI(simulator_step);
CFGI(send_step);
CFGI(recv_step);
CFGI(half_time);
CFGI(say_msg_size);
CFGB(use_offside);
CFGD(offside_active_area_size);
CFGB(forbid_kick_off_offside);
CFGD(offside_kick_margin);
