// VisualSetupDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Player.h"
#include "VisualSetupDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CVisualSetupDlg dialog


CVisualSetupDlg::CVisualSetupDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CVisualSetupDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CVisualSetupDlg)
	m_bDrawPerceptions = FALSE;
	m_bDrawTeammateInfo = FALSE;
	m_bDrawOpponentInfo = FALSE;
	m_bDrawBallInfo = TRUE;
	m_bDrawLocalAgentInfo = FALSE;
	//}}AFX_DATA_INIT
}


void CVisualSetupDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CVisualSetupDlg)
	DDX_Check(pDX, IDC_CB_PERCEPTION_VIEW, m_bDrawPerceptions);
	DDX_Check(pDX, IDC_CB_DRAW_TEAMMATE_INFO, m_bDrawTeammateInfo);
	DDX_Check(pDX, IDC_CB_DRAW_OPPONENT_INFO, m_bDrawOpponentInfo);
	DDX_Check(pDX, IDC_CB_DRAW_BALL_INFO, m_bDrawBallInfo);
	DDX_Check(pDX, IDC_CB_DRAW_AGENT_INFO, m_bDrawLocalAgentInfo);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CVisualSetupDlg, CDialog)
	//{{AFX_MSG_MAP(CVisualSetupDlg)
	ON_BN_CLICKED(IDC_CB_DRAW_AGENT_INFO, OnCbDrawAgentInfo)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVisualSetupDlg message handlers

void CVisualSetupDlg::OnCbDrawAgentInfo() 
{
	m_bDrawLocalAgentInfo = !m_bDrawLocalAgentInfo;
	UpdateData( FALSE );
}
